﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 46712 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Illidan Stormrage"], function(Illidan)
	Illidan:RegisterTranslation("enUS", function() return {
		["Behold the power... of the demon within!"] = "Behold the power... of the demon within!",
	} end)

	Illidan:RegisterTranslation("koKR", function() return {
		["Behold the power... of the demon within!"] = "내 안에 깃든... 악마의 힘을 보여주마!",
	} end)

	Illidan:RegisterTranslation("frFR", function() return {
		["Behold the power... of the demon within!"] = "Contemplez la puissance… du demon interieur !",
	} end)

	local demon = Illidan:GetTranslation("Behold the power... of the demon within!")

	Illidan:UnregisterTranslations()

	function Illidan:Init()
		self:RegisterCombatant(BB["Illidan Stormrage"], true)
		self:RegisterChatEvent("yell", BB["Illidan Stormrage"], demon, self.PhaseDemon)
	end

	function Illidan:PhaseDemon()
		self:WipeRaidThreatOnMob(BB["Illidan Stormrage"])
		if not self:IsEventScheduled("IllidanDemonTimer") then
			self:ScheduleEvent("IllidanDemonTimer", self.PhaseNormal, 65, self)
		end
	end

	function Illidan:PhaseNormal()
		self:WipeRaidThreatOnMob(BB["Illidan Stormrage"])
	end

	function Illidan:StartFight()
		self:SetNumberOfMobs(1)
	end

end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
